<?php

$block_name = _("Ad Campaigns Summary");

/**
 * $Horde: midas/lib/Block/summary.php,v 1.15 2004/10/26 20:35:14 chuck Exp $
 *
 * @package Horde_Block
 */
class Horde_Block_midas_summary extends Horde_Block {

    var $_app = 'midas';

    function _title()
    {
        global $registry;

        if (!Auth::isAdmin('midas:admin', PERMS_SHOW)) {
            $html = $registry->get('name');
        } else {
            $html = Horde::link(Horde::url($registry->getInitialPage(), true), $registry->get('name'), 'header') . $registry->get('name') . '</a>';
        }

        /* Show this link only if user has perms to create ads. */
        if (Auth::isAdmin('midas:admin', PERMS_EDIT)) {
            $html .= ' :: ' . Horde::link(Horde::applicationUrl('manage.php', true), _("New Campaign"), 'smallheader') . Horde::img('new.png', _("New Campaign"), '', Horde::url($registry->getImageDir(), true, -1)) . _("New Campaign") . '</a>';
        }

        return $html;
    }

    function _content()
    {
        global $registry;
        require_once dirname(__FILE__) . '/../base.php';

        // Check if user has perms to see the summary.
        if (!Auth::isAdmin('midas:admin', PERMS_SHOW)) {
            return '<p>' . Horde::img('alerts/error.png', _("Not authorized"), '', $registry->getImageDir('horde')) . ' <b>' . htmlspecialchars(_("You are not authorized for this summary.")) . '</b></p>';
        }

        $stats_active = $campaigns->getCampaignStats('active');
        if (is_a($stats_active, 'PEAR_Error')) {
            return $stats_active;
        }

        $stats_new = $campaigns->getCampaignStats('new');
        if (is_a($stats_new, 'PEAR_Error')) {
            return $stats_new;
        }

        $stats_old = $campaigns->getCampaignStats('old');
        if (is_a($stats_old, 'PEAR_Error')) {
            return $stats_old;
        }

        $html = '<table border="0" cellpadding="1" cellspacing="0" width="100%"><tr>';

        $html .= '<td><table border="0" width="100%" cellpadding="0" cellspacing="1"><tr><td colspan="2" class="activetitle">' . _("Active campaigns") . '</td></tr>';
        $html .= '<tr><td>' . _("clients") . ':</td><td align="right">' . $stats_active['clients'] . '<br /></td></tr>';
        $html .= '<tr><td>' . _("campaigns") . ':</td><td align="right">' . $stats_active['campaigns'] . '</td></tr>';
        $html .= '<tr><td>' . _("quantity") . ':</td><td align="right">' . $stats_active['quantity'] . '</td></tr>';
        $html .= '<tr><td>' . _("showings") . ':</td><td align="right">' . $stats_active['showings'] . '</td></tr>';
        $html .= '<tr><td>' . _("clicks") . ':</td><td align="right">' . $stats_active['clicks'] . '</td></tr></table></td>';

        $html .= '<td><table border="0" width="100%" cellpadding="0" cellspacing="1"><tr><td colspan="2" class="newtitle">' . _("New campaigns") . '</td></tr>';
        $html .= '<tr><td>' . _("clients") . ':</td><td align="right">' . $stats_new['clients'] . '<br /></td></tr>';
        $html .= '<tr><td>' . _("campaigns") . ':</td><td align="right">' . $stats_new['campaigns'] . '</td></tr>';
        $html .= '<tr><td>' . _("quantity") . ':</td><td align="right">' . $stats_new['quantity'] . '</td></tr>';
        $html .= '<tr><td>' . _("showings") . ':</td><td align="right">' . $stats_new['showings'] . '</td></tr>';
        $html .= '<tr><td>' . _("clicks") . ':</td><td align="right">' . $stats_new['clicks'] . '</td></tr></table></td>';

        $html .= '<td><table border="0" width="100%" cellpadding="0" cellspacing="1"><tr><td colspan="2" class="oldtitle">' . _("Old campaigns") . '</td></tr>';
        $html .= '<tr><td>' . _("clients") . ':</td><td align="right">' . $stats_old['clients'] . '<br /></td></tr>';
        $html .= '<tr><td>' . _("campaigns") . ':</td><td align="right">' . $stats_old['campaigns'] . '</td></tr>';
        $html .= '<tr><td>' . _("quantity") . ':</td><td align="right">' . $stats_old['quantity'] . '</td></tr>';
        $html .= '<tr><td>' . _("showings") . ':</td><td align="right">' . $stats_old['showings'] . '</td></tr>';
        $html .= '<tr><td>' . _("clicks") . ':</td><td align="right">' . $stats_old['clicks'] . '</td></tr></table></td>';

        $html .= '</tr></table>';

        return $html;
    }

}
