<?php
/**
 * Midas_Display_js Class implements a Javascript driver for displaying ads.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: midas/lib/Display/js.php,v 1.6 2005/01/03 14:35:15 jan Exp $
 *
 * @author Marko Djukic <marko@oblo.com>
 * @version $Revision: 1.6 $
 * @package Midas
 */
class Midas_Display_js extends Midas_Display {

    /**
     * Put together the html for showing the ad according to this display
     * driver.
     * 
     * @return string  Code to display the ad.
     */
    function show(&$ad)
    {
        /* Error checking done here to format any error message in a way
         * suitable for this driver. */
        if (is_a($ad, 'PEAR_Error')) {
            return "document.write('" . $ad->getMessage() . "');\n";
        }

        /* Set up the url and link. */
        $url = Horde::applicationUrl('go.php', true, -1);
        $url = Util::addParameter($url, 'a', $ad['campaign_id']);
        $link = Horde::link($url, '', '', '_blank');

        if ($ad['campaign_type'] == '1') {
            /* Simple text ad. */
            $html = $link . htmlspecialchars($ad['campaign_ad']) . '</a>';
        } else {
            /* Image ad. */
            $img = Horde::url($GLOBALS['registry']->get('webroot', 'horde') . '/services/images/view.php', true, -1);
            $img = Util::addParameter($img, array('f' => $ad['campaign_ad'], 's' => 'vfs', 'p' => '.horde/midas', 'n' => ''));
            $img = Horde::img($img, '', '', '');
            $html = $link . $img . '</a>';
        }

        $html = str_replace("'", "\\'", $html);

        return "document.write('$html');\n";
    }

}
