<?php

@define('MIDAS_VFS_PATH', '.horde/midas');

/**
 * The Midas:: class provides general Midas functions.
 *
 * $Horde: midas/lib/Midas.php,v 1.35 2004/11/21 22:32:44 chuck Exp $
 */
class Midas {

    function getAdTypes()
    {
        $types = array('0' => _("Image"), '1' => _("Text"));
        return $types;
    }

    function getImageArray($id)
    {
        return array('f' => $id,
                     's' => 'vfs',
                     'p' => '.horde/midas');
    }

    /**
     * Build Midas' list of menu items.
     *
     * @access public
     */
    function getMenu($returnType = 'object')
    {
        global $registry;

        require_once 'Horde/Menu.php';

        $menu = &new Menu(HORDE_MENU_MASK_ALL);
        $menu->add(Horde::applicationUrl('campaigns.php'), _("Campaigns"), 'midas.png');

        if (Auth::isAdmin('midas:admin', PERMS_EDIT)) {
            $menu->add(Horde::applicationUrl('edit.php'), _("New Ad"), 'new.png');
        }

        if (Auth::isAdmin('midas:admin', PERMS_READ)) {
            $menu->add(Horde::applicationUrl('clients/index.php'), _("Clients"), 'clients.png');
            $menu->add(Horde::applicationUrl('genhtml.php'), _("HTML"), 'html.png');
        }

        if (Auth::isAdmin()) {
            $permslink = Util::addParameter(Horde::url($registry->get('webroot', 'horde') . '/admin/perms/'), 'actionID', 'edit');
            $menu->add(Util::addParameter($permslink, array('category' => 'midas:admin', 'autocreate' => '1')), _("Permissions"), 'perms.png', $registry->getImageDir('horde'));
        }

        if ($returnType == 'object') {
            return $menu;
        } else {
            return $menu->render();
        }
    }

}
