<?php
/**
 * Midas external API interface.
 *
 * This file defines Midas' external API interface. Other applications
 * can interact with Midas through this API. Mostly used for calling
 * banners from within Horde.
 *
 * @package Midas
 *
 * $Horde: midas/lib/api.php,v 1.16 2004/05/31 18:22:50 jan Exp $
 */

$_services['getRandom'] = array(
    'args' => 'string',
    'type' => 'stringArray'
);


/**
 * Output a random ad through the api.
 *
 * @param optional integer $ad     The ad id.
 * @param optional string $filter  A string which will be used to
 *                                 narrow down the list of campaigns.
 */
function _midas_getRandom($ad = null, $filter = null)
{
    @define('MIDAS_BASE', dirname(__FILE__) . '/..');
    require_once MIDAS_BASE . '/lib/base.php';

    $midas = &Midas::singleton();
    $midas->updateCounter($ad, MIDAS_COUNT_SHOW);

    return $midas->viewAdByJs($ad, $filter);
}
