<?php
/**
 * Midas base inclusion file.
 *
 * This file brings in all of the dependencies that every Midas script will need
 * and sets up objects that all scripts use.
 *
 * Copyright 2003-2005 Marko Djukic <marko@oblo.com>
 *
 * See the enclosed file COPYING for license information (GPL). If you did not
 * receive this file, see http://www.fsf.org/copyleft/gpl.html.
 *
 * $Horde: midas/lib/base.php,v 1.39 2005/01/03 14:35:15 jan Exp $
 */

// Check for a prior definition of HORDE_BASE (perhaps by an
// auto_prepend_file definition for site customization).
if (!defined('HORDE_BASE')) {
    @define('HORDE_BASE', dirname(__FILE__) . '/../..');
}

// Load the Horde Framework core, and set up inclusion paths.
require_once HORDE_BASE . '/lib/core.php';

// Registry.
$registry = &Registry::singleton();
if (is_a(($pushed = $registry->pushApp('midas', !defined('AUTH_HANDLER'))), 'PEAR_Error')) {
    if ($pushed->getCode() == 'permission_denied') {
        Horde::authenticationFailureRedirect(); 
    }
    Horde::fatal($pushed, __FILE__, __LINE__, false);
}
$conf = &$GLOBALS['conf'];
@define('MIDAS_TEMPLATES', $registry->get('templates'));

/* Notification system. */
$notification = &Notification::singleton();
$notification->attach('status');

/* Find the base file path of Midas. */
@define('MIDAS_BASE', dirname(__FILE__) . '/..');

/* Midas libraries. */
require_once MIDAS_BASE . '/lib/Midas.php';
require_once MIDAS_BASE . '/lib/Campaigns.php';
require_once MIDAS_BASE . '/lib/Clients.php';

/* Horde libraries. */
require_once 'Horde/Help.php';

/* Set up VFS. */
require_once 'VFS.php';
$vfs = &VFS::singleton($conf['vfs']['type'],
                       Horde::getDriverConfig('vfs', $conf['vfs']['type']));

/* Midas drivers. */
$campaigns = &Midas_Campaigns::singleton();
$clients = &Midas_Clients::singleton();

/* Start compression, if requested. */
Horde::compressOutput();
